Subject: Re: B19.1: make install scripts fail - trying to cp <exec> instead of
From: [email-masked] (Michael Hirmke)

15 Nov 1998 04:47:59 -0800
Message-ID: <[email-masked]>
References: <002b01be0e57$a39e5980$1a0101c0@simserver>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

[...]
>
>Hello!

First a hint: Please don't post in both plain text and html !

[...]
>written for pure UNIX, where executive file lloks like <exec>. But =
>actually <exec.exe> exists. Even if I type 'ls <exec>' it shows that =
>'<exec>' exist and actually <exec> points to <exec.exe>. But if I try =
>'cp <exec> <exec>.1' it reports 'No such file or directory'. Ok, I could =
[...]
>
>   May be somebody knows how to fight with this problem?

Yes, rename the original install.exe to cyg_install.exe and copy the
following script to the same directory as "install":

     ----------------------< snip snip snip >--------------------------
     #! /bin/sh

     # file: install
     # author:  earnie                  email: [email-masked]
     #
     # Install Preprocessor for the gnu-win32 "make install" command.
     #
     # To use:
     #   - locate the original install.exe (should be somewhere
     #     in <cygnuspath>\bin\)
     #   - rename it to cyg_install.exe, i.e
     #     mv install.exe cyg_install.exe
     #   - copy this file to <cygnuspath>/bin/install
     #
     # Note:
     #   No warranty implicit or explicit is given.
     #   You may copy, distribute and use as you see fit.
     #   USE AT YOU OWN RISK.
     #
     # changed: M.Hirmke                email: [email-masked]
     #   changed ginstall to cyg_install, because some packages are looking
     #   for ginstall
     #
     # changed: Dr David Coe            email: [email-masked]
     #   "I seem to remember earnie's script gave trouble (in X11 or lesstif
     #    make install) when both <exec.exe> and <exec> are present
     #    simultaneously). The attached helped."
     #
     # changed: Dr Pierre A. Humblet    email: [email-masked]
     #    Modify logic to work when several files are installed in a
     #    directory, some with the .exe extension and others without.

     tstr=""
     while test $# -gt 1;
     do
       if test -e $1.exe;
       then
         suffix=".exe";
       else
         suffix="";
       fi
       tstr="${tstr}${1}${suffix} "
       shift;
     done
     if test -d $1
     then
       suffix="";
     fi
     tstr="${tstr}${1}${suffix}"

     eval "cyg_install.exe $tstr";
     exit
     ----------------------< snip snip snip >--------------------------
>
>                                                                         =
>                        Konstantin Terletskiy

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".